%global _empty_manifest_terminate_build 0
Name:           python-pyxcli
Version:        1.2.1
Release:        1
Summary:        IBM Python XCLI Client
License:        Apache-2.0
URL:            https://github.com/IBM/pyxcli
Source0:        https://files.pythonhosted.org/packages/9f/ba/ea2c0df865155a33f7aee01def0e1d709ced23601f6ab78e71b0cccce132/pyxcli-1.2.1.tar.gz
BuildArch:      noarch
%description
IBM Python XCLI Client for Spectrum Accelerate Storage Family.

%package -n python3-pyxcli
Summary:        IBM Python XCLI Client
Provides:       python-pyxcli
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
%description -n python3-pyxcli
IBM Python XCLI Client for Spectrum Accelerate Storage Family.

%package help
Summary:        IBM Python XCLI Client
Provides:       python3-pyxcli-doc
%description help
IBM Python XCLI Client for Spectrum Accelerate Storage Family.

%prep
%autosetup -n pyxcli-%{version} -p1

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .


%files -n python3-pyxcli -f filelist.lst

%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Jul 17 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.2.1-1
- Update package to version 1.2.1

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 1.1.5-2
- DESC: delete -S git from %autosetup

* Wed Jul 14 2021 OpenStack_SIG <openstack@openeuler.org> - 1.1.5-1
- Package Spec generate
